
;------------------------------------------------------------------------------
;
;   programme to read the Helios ion/electron velocity distribution
;   functions, vdfp, vdfe and the corresponding velocity components.
;   program for the 3-D proton (2-D electron) velocity distribution function
;   and determination of the velocity ranges and maximum vdf value
;
;-----------------------------------------------------------------------------


;------------------- variables and arrays ------------------------------------

comment=strarr(1)



vdfp=dblarr(12,12,32)      ; protons/alpha-particles  3-D cubes
vxp =dblarr(12,12,32)
vyp =  dblarr(12,12,32)
vzp = fltarr(12,12,32)

vbp_ll =dblarr(12,12,32)
vbp_perp =dblarr(12,12,32)

countp=intarr(12,12,32)

vdfe=dblarr(8,16)           ; electrons  2-D squares
vxe =dblarr(8,16)
vye =dblarr(8,16)
counte=intarr(8,16)

print,'*********'
print,123
print, 1
l = 12*12*32         ;= 4608  maximum proton arry size
print, 'lp=', l
l = 8*16             ;= 128   maximum electron array size
print, 'le=', l
ndimp = 4608
ndime = 128

zp =  fltarr(4608)    ; 1-D array protons
wxp = fltarr(4608)
wyp = fltarr(4608)
wzp = fltarr(4608)

wp_ll=fltarr(4608)
wp_perp=fltarr(4608)

ze =  fltarr(128)     ; 1-D array electrons
wxe = fltarr(128)
wye = fltarr(128)

print,2

print, '******* definitions of variables *******'

end

